/* module written by G. Gagnon, Mar 24, 1987 */

#include "sb:sb.h"

extern int level;


void PrIntuiText(string, intuitext) char *string; struct IntuiText *intuitext;
{
static struct StructData structdata[] = {
     { "-FrontPen",     "UBYTE",                     3, BYTESIZE },
     { "-BackPen",      "UBYTE",                     3, BYTESIZE },
     { "-DrawMode",     "UBYTE",                     3, INTSIZE  },
     { "-LeftEdge",     "SHORT",                     2, INTSIZE  },
     { "-TopEdge",      "SHORT",                     2, INTSIZE  },
     { " ITextFont",    "struct TextAttr *",         5, PTRSIZE  },
     { " IText",        "UBYTE *",                   4, PTRSIZE  },
     { " NextText",     "struct IntuiText *",        5, PTRSIZE  }
  };
int sum, choice = -1;
  level++;
  while (choice) {
    sum = SetOptionText(string, structdata, (APTR)intuitext, DATASIZE, 0);
    switch (choice = GetChoice(DATASIZE)) {
      case 6:
        if (intuitext->ITextFont)
          PrTextAttr("Structure TextAttr",intuitext->ITextFont);
          break;
      case 7:
        PrString("The text pointed to by IText", intuitext->IText);
        break;
      case 8:
        if (intuitext->NextText)
          PrIntuiText("The next IntuiText in Intuition's list",
                      intuitext->NextText);
        break;
    }
  }
  level--;
}
